# Command: loop

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    loop - repeatedly execute a procedure

Synopsis:

    proc loop	-

Description:

      loop takes a procedure object an executes it repeatedly.
      Since there is no direct termination condition, the loop
      has to be terminated by calling exit.
      If the procedure has to be evaluated for a certain number of
      times, consider the use of repeat or for.
      If some container should be iterated, consider forall or Map

SeeAlso:

- exit
- repeat
- for
- forall
- forallindexed
- Map

Source:

    /opt/conda/conda-bld/nest_1510213973486/work/nest-2.14.0/sli/slicontrol.cc

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative